

function [P, PH, RMSRm, RMSRc, RMSRcm, RMSRtot] = acquiobuls (R,nm,nc,N,rev)
 
% R -> matriz de correlaciones interitem con marcadores sin revertir
% nm -> numero de marcadores (las primeras nm filas)
% nc -> numero de items de contenido
% N  -> numero de participantes
% rev -> lista de items que han sido revertidos (reverse-scored)

%%%%%ESTIMACION INICIAL DE LAS COMUNALIDADES BASADA EN 
%%%%%LA SOLUCION EN DOS FACTORES

[A1,um1]=my_minres(R,2,0.0001,N);
REP=A1*A1';
Rp=(R-diag(diag(R)))+diag(diag(REP));

%%%%CALCULO DE LA CORRELACION CONTENIDO-AQUIESCENCIA POR SUMAS
n=nm+nc;
nume=sum(sum(Rp((nm+1):n,1:nm)));
deno1=sum(sum(Rp(1:nm,1:nm)));
deno2=sum(sum(Rp((nm+1):n,(nm+1):n)));
Q=sqrt(deno2);
phi=nume/(sqrt(deno1*deno2));
%disp('acquiescence-content correlation initial estimate');
%phi
%pause

%%%%CALCULO DE LAS CARGAS DE LOS MARCADORES EN F2 
%%%% Y EVALUACION DEL AJUSTE PARCIAL
Rm=R(1:nm,1:nm);
[am,um2]=my_minres(Rm,1,0.0001,N);
for j=1:nm,  
       if (am(j,1) < 0),
           am=(-1)*am;      
       end;
 end;   
%disp('vector of marker loadings');
%am
Rmrep=am*am';
RESm=Rm-Rmrep;
RESm=RESm-diag(diag(RESm));
RESm2=RESm.*RESm;
numem=sum(sum(RESm2));
denom=nm*(nm-1);
RMSRm=sqrt(numem/denom);
%disp('fit of the marker sub-model');
%RMSRm
%pause

%%%%CALCULO DE LA SOLUCION CANONICA (NO ROTADA) EN
%%%%DOS FACTORES SOBRE LOS ITEMS DE CONTENIDO
%%%%Y EVALUACION DEL AJUSTE PARCIAL

Rc=R((nm+1):n,(nm+1):n);
[Ac,um3]=my_minres(Rc,2,0.00001,N);
%Ac
tmp=sum(Ac);
sum1=tmp(1);
  if (sum1 < 0);
      Ac(:,1)=(-1)*Ac(:,1);
  end; 
 sum3=sum(Ac(rev,2));
 if (sum3 > 0);
      Ac(:,2)=(-1)*Ac(:,2);
 end;  
 
 
Rcrep=Ac*Ac';
RESc=Rc-Rcrep;
RESc=RESc-diag(diag(RESc));
RESc2=RESc.*RESc;
numec=sum(sum(RESc2));
denoc=nc*(nc-1);
RMSRc=sqrt(numec/denoc);
 
%%%%CALCULO DEL PATRON DE PESOS ORIGINALES

lc1=Ac(:,1);
lc2=Ac(:,2);
P1=[zeros(nm,1),am];
ic=nm+1;
tmp3=sqrt(1-(phi*phi));
ac2=lc2/tmp3;
ac1=lc1-(ac2*phi);
P2=[ac1,ac2];
P=[P1
    P2];
%disp('oblique content-acquiescence pattern');
%P
%pause
%disp('fit of the content sub-model');
%RMSRc
%pause

%%%%CALCULO DE LAS MEDIDAS DE BONDAD DE AJUSTE GLOBALES

Rcm=R((nm+1):n,1:nm);
PH=[1,phi
    phi,1];

REPcm=P2*PH*P1';
REScm=Rcm-REPcm;
REScm2=REScm.*REScm;
numecm=sum(sum(REScm2));
denocm=nc*nm;
RMSRcm=sqrt(numecm/denocm);
%disp('fit of the content-acquiescence sub-model');
%RMSRcm
%pause

REPtot=P*PH*P';
REPtot=REPtot-diag(diag(REPtot));
RNET=R-diag(diag(R));
REStot=RNET-REPtot;
REStot2=REStot.*REStot;
numtot=sum(sum(REStot2));
dentot=n*(n-1);
RMSRtot=sqrt(numtot/dentot);
%disp('overall fit');
%RMSRtot
%pause

return
